# $Revision: 1.34 $, $Date: 2007/02/13 06:46:54 $
Summary:	MM - Shared Memory Library
Summary(pl.UTF-8):	MM - Biblioteka dzielonej pamięci
Name:		mm
Version:	1.4.2
Release:	1
License:	BSD-like (see LICENSE)
Group:		Libraries
Source0:	ftp://ftp.ossp.org/pkg/lib/mm/%{name}-%{version}.tar.gz
# Source0-md5:	bdb34c6c14071364c8f69062d2e8c82b
URL:		http://www.engelschall.com/sw/mm/
BuildRequires:	automake
BuildRequires:	libtool
Obsoletes:	libmm1
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The MM library is a 2-layer abstraction library which simplifies the
usage of shared memory between forked (and this way strongly related)
processes under Unix platforms. On the first (lower) layer it hides
all platform dependent implementation details (allocation and locking)
when dealing with shared memory segments and on the second (higher)
layer it provides a high-level malloc(3)-style API for a convenient
and well known way to work with data-structures inside those shared
memory segments.

%description -l pl.UTF-8
MM jest 2-warstwową, abstrakcyjną biblioteką upraszczającą korzystanie
z pamięci dzielonej pomiędzy rozgałęzionymi (i w ten sposób mocno
powiązanymi) procesami na platformach uniksowych. Pierwsza warstwa
(niższa) ukrywa wszystkie szczegóły zależne od platformy (alokacja i
blokowanie) przy obsłudze segmentów pamięci dzielonej. Druga (wyższa)
warstwa udostępnia wysokopoziomowe API podobne do malloc(3)
umożliwiające wygodną pracę ze strukturami danych w tych segmentach
pamięci dzielonej.

%package devel
Summary:	Header files and development documentation for mm
Summary(pl.UTF-8):	Pliki nagłówkowe i dokumentacja do mm
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Obsoletes:	libmm1-devel

%description devel
Header files and development documentation for mm.

%description devel -l pl.UTF-8
Pliki nagłówkowe i dokumentacja do biblioteki mm.

%package static
Summary:	Static mm libraries
Summary(pl.UTF-8):	Biblioteki statyczne mm
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static mm libraries.

%description static -l pl.UTF-8
Biblioteki statyczne mm.

%prep
%setup -q

%build
cp -f /usr/share/automake/config.sub .
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc ChangeLog LICENSE README THANKS
%attr(755,root,root) %{_libdir}/lib*.so.*.*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/mm-config
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_includedir}/*
%{_mandir}/man3/*
%{_mandir}/man1/*

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: mm.spec,v $
Revision 1.34  2007/02/13 06:46:54  glen
- tabs in preamble

Revision 1.33  2007/02/12 00:49:07  baggins
- converted to UTF-8

Revision 1.32  2006/08/16 17:16:48  qboosh
- updated to 1.4.2

Revision 1.31  2006/07/26 15:02:19  glen
- avoid defining default %attr

Revision 1.30  2005/10/12 08:48:31  darekr
- updated to 1.4.0

Revision 1.29  2004/09/15 21:06:55  qboosh
- updated to 1.3.1, strict internal deps

Revision 1.28  2004/01/05 01:38:27  undefine
- release 2

Revision 1.27  2003/12/27 19:45:11  undefine
- copy config.sub to allow build on amd64, BR: libtool(used by makefile)

Revision 1.26  2003/05/25 11:00:55  malekith
- massive attack, adding Source-md5

Revision 1.25  2003/05/25 05:50:38  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.24  2003/03/19 19:42:14  qboosh
- 1.3.0

Revision 1.23  2002/11/25 14:17:43  ankry
- massive attack: no need for 755 for *.la

Revision 1.22  2002/11/04 14:31:51  qboosh
- typos

Revision 1.21  2002/11/04 14:29:37  ankry
- fixed source URL and pl translation

Revision 1.20  2002/11/04 12:24:22  qboosh
- merge from DEVEL (1.2.1 - not for Ra)

Revision 1.19  2002/08/18 17:07:52  blues
- release 6 - license fix

Revision 1.18.2.1  2002/08/17 22:27:00  qboosh
- updated to 1.2.1 (DEVEL - soname has changed)

Revision 1.18  2002/07/31 10:14:59  qboosh
- added security patch (insecure temp file creation) from mdk
- added missing doc, release 5

Revision 1.17  2002/03/27 11:53:21  roman
s/BSD-style/BSD-like

Revision 1.16  2002/02/23 03:54:20  kloczek
- adapterized.

Revision 1.15  2002/02/22 23:29:17  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.14  2002/01/24 05:54:45  kloczek
- typos.

Revision 1.13  2002/01/24 05:50:59  kloczek
- release 4: libmm1{,-devel} added to Oboletes for allow upgrade from MDK.

Revision 1.12  2002/01/18 02:13:53  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.11  2001/10/11 08:37:47  qboosh
- adapterized, remaining pl translations, removed duplicated %%changelog

Revision 1.10  2001/08/09 03:29:46  agaran
s/configure/configure2_13/
aclocal/autoconf regeneration doesnt help

Revision 1.9  2001/03/23 16:33:17  baggins
- release 3
- rebuild with new glibc

Revision 1.8  2000/10/10 21:52:00  kloczek
- release 2: use new rpm automation.

Revision 1.7  2000/07/31 07:26:02  kloczek
- updated to 1.1.3.

Revision 1.6  2000/06/09 07:54:44  kloczek
- more %%{__make} macros.

Revision 1.5  2000/06/09 07:23:26  kloczek
- added using %%{__make} macro.

Revision 1.4  2000/05/23 17:09:35  kura
- release 2
- :%!grep -v %find_lang

Revision 1.3  2000/04/01 11:14:54  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.2  2000/03/28 16:54:42  baggins
- translated kloczkish into english

Revision 1.1  1999/12/18 12:57:42  kloczek
- initial version.
